# Uses of Class
org.codehaus.janino.Java.ModuleDeclaration

Packages that use Java.ModuleDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.ModuleDeclaration in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.ModuleDeclaration
Modifier and Type
Field
Description
`final Java.ModuleDeclaration`
Java.ModularCompilationUnit.`moduleDeclaration`
The single and mandatory "module declaration" of this modular compilation unit, see JLS9 7.3 and 7.7.
Methods in org.codehaus.janino that return Java.ModuleDeclaration
Modifier and Type
Method
Description
`Java.ModuleDeclaration`
Parser.`parseModuleDeclarationRest(Java.Modifier[] modifiers)`
ModuleDeclarationRest := [ 'open' ] 'module' identifier { '.' identifier} '{' { ModuleDirective } '}'
Constructors in org.codehaus.janino with parameters of type Java.ModuleDeclaration
Modifier
Constructor
Description
``
`ModularCompilationUnit(String fileName, Java.AbstractCompilationUnit.ImportDeclaration[] importDeclarations, Java.ModuleDeclaration moduleDeclaration)`